Skip to main content
POST
/
clients
/
{clientId}
/
contact-methods
/
sync
Sync contact methods for a client
curl --request POST \
  --url https://api.artu.ai/clients/{clientId}/contact-methods/sync \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "isPrimary": true,
      "value": "<string>",
      "label": "<string>",
      "externalId": "<string>",
      "metadata": {},
      "_delete": true
    }
  ],
  "replaceMode": true
}
'
{
  "created": [
    {
      "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "value": "<string>",
      "isVerified": true,
      "verifiedAt": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "isPrimary": false,
      "label": "<string>",
      "externalId": "<string>",
      "metadata": {}
    }
  ],
  "updated": [
    {
      "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "value": "<string>",
      "isVerified": true,
      "verifiedAt": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "isPrimary": false,
      "label": "<string>",
      "externalId": "<string>",
      "metadata": {}
    }
  ],
  "deleted": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

clientId
string<uuid>
required

Body

application/json
items
object[]
required
Maximum array length: 250
replaceMode
boolean

Response

200 - application/json

OK

created
object[]
required
updated
object[]
required
deleted
string<uuid>[]
required